Package com.smartgwt.rebind

# Class BeanProperty

java.lang.Object
com.smartgwt.rebind.BeanProperty

public class BeanProperty extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BeanProperty(String name, BeanClass beanClass)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addGetter(BeanMethod method)`
  `void`
  `addMethod(BeanMethod method)`
  `void`
  `addSetter(BeanMethod method)`
  `BeanMethod`
  `firstGetter()`
  `boolean`
  `getMaybeOverloadedGetter()`
  `String`
  `getName()`
  `String`
  `getNameWithBeanClass()`
  `String`
  `getNameWithoutOverload()`
  `BeanMethod`
  `getterForGenericType(JType type)`
  `void`
  `mergeProperty(BeanProperty otherProperty)`
  `BeanMethod`
  `setterForGenericType(JType type)`
  `void`
  `writeConstructor(com.google.gwt.user.rebind.SourceWriter source, boolean addComma)`
  `void`
  `writeMultipleConstructor(com.google.gwt.user.rebind.SourceWriter source, boolean addComma)`
  `void`
  `writeSingleConstructor(com.google.gwt.user.rebind.SourceWriter source, String propertyType, BeanMethod getter, BeanMethod setter, boolean addComma)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BeanProperty

    public BeanProperty(String name, BeanClass beanClass)

- ## Method Details

  - ### getName

    public String getName()

  - ### getNameWithBeanClass

    public String getNameWithBeanClass()

  - ### getNameWithoutOverload

    public String getNameWithoutOverload()

  - ### getMaybeOverloadedGetter

    public boolean getMaybeOverloadedGetter()

  - ### firstGetter

    public BeanMethod firstGetter()

  - ### addMethod

    public void addMethod(BeanMethod method)

  - ### addGetter

    public void addGetter(BeanMethod method)

  - ### addSetter

    public void addSetter(BeanMethod method)

  - ### getterForGenericType

    public BeanMethod getterForGenericType(JType type)

  - ### setterForGenericType

    public BeanMethod setterForGenericType(JType type)

  - ### mergeProperty

    public void mergeProperty(BeanProperty otherProperty)

  - ### writeConstructor

    public void writeConstructor(com.google.gwt.user.rebind.SourceWriter source, boolean addComma)

  - ### writeSingleConstructor

    public void writeSingleConstructor(com.google.gwt.user.rebind.SourceWriter source, String propertyType, BeanMethod getter, BeanMethod setter, boolean addComma)

  - ### writeMultipleConstructor

    public void writeMultipleConstructor(com.google.gwt.user.rebind.SourceWriter source, boolean addComma)